Skip to main content
POST
/
api
/
v1
/
quoter
/
devices
Create a new GPS device
curl --request POST \
  --url https://api.raul.ugps.io/api/v1/quoter/devices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "gps_model_name": "<string>",
  "brand_id": 123,
  "category_id": 123,
  "sale_price": 123,
  "installation_cost": 123,
  "installation_cost_venta": 123,
  "installation_cost_comodato": 123,
  "monthly_rental": 123,
  "monthly_service": 123,
  "monthly_platform": 123,
  "internal_notes": "<string>",
  "images": [
    "<string>"
  ],
  "datasheets": [
    "<string>"
  ],
  "is_legacy": true
}
'

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
gps_model_name
string
required

Device model name

brand_id
number

Brand ID

category_id
number

Category ID

sale_price
number

Sale price

installation_cost
number

Installation cost

installation_cost_venta
number

Installation cost for SALE modality

installation_cost_comodato
number

Installation cost for COMODATO modality

monthly_rental
number

Monthly rental

monthly_service
number

Monthly service

monthly_platform
number

Monthly platform

internal_notes
string

Internal notes

images
string[]

Image URLs array

datasheets
string[]

Datasheet URLs array

is_legacy
boolean

Legacy flag

Response

201

Device created successfully